Bug 753520 - openarena: Most control key doesn't work in ioquake3 based games
openarena: Most control key doesn't work in ioquake3 based games
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 22:30 EST by Raina Otoni
Modified: 2012-05-12 06:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-12 06:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raina Otoni 2011-11-12 22:30:26 EST
Description of problem:
Most control key in the game does not work at all. (for example WASD key)
But some keys only work well. (Fuction key, allow key, ESC key, etc.)


Version-Release number of selected component (if applicable):
Name        : openarena
Version     : 0.8.5
Release     : 4.fc16


How reproducible:
everytime

Steps to Reproduce:
1. play any game mode
2. press w key
  
Actual results:
It't not work at all.

Expected results:
Forward movement

Additional info:
It seems ioquake engine has the problem.
it reproduced in Urbanterror.
In F15, it has not the problem.
Comment 1 Raina Otoni 2011-11-20 05:29:13 EST
I found a workaround.
Killing ibus-daemon, it works fine.
Comment 2 Raina Otoni 2011-11-20 05:37:07 EST
My environment is "Japanese" and JP106 keyboard.
Comment 3 fujiwara 2011-11-22 05:35:36 EST
It seems openarena need the 3D accelerator but my VM has a problem with Fedora 16.
I would need time to get the stable VM also openarena is too big 300 MB for me.
It would be nice if I could try another light weight app.
Comment 4 fujiwara 2012-05-08 05:46:06 EDT
I cannot run openarena which asks 3D accelerator but I can run gnome-shell which needs 3D accelerator too.
I'm not sure about the configuration about openarena.
ibus owns Control+space and if you'd like to change it, 'ibus-setup' command provides the customization.

Also you could check the latest ibus:
# yum install ibus
Comment 5 fujiwara 2012-05-09 23:04:56 EDT
OK, now I can use openarena and I'm also able to use Esc key to show the menu.
Probably I think you need to use the latest ibus.
Comment 6 Raina Otoni 2012-05-12 06:17:43 EDT
Sorry about this late reply.
It works properly with latest ibus (ibus-1.4.1-2.fc16.i686).

Note You need to log in before you can comment on or make changes to this bug.